{% extends "base.html.twig" %}

{% block title property.title %}

{% block body %}

  <div class="jumbotron">
    <div class="container">
      {% for message in app.flashes('success') %}
      <div class="alert alert-success">
        {{ message }}
      </div>
      {% endfor %}

      {% if not form.vars.valid %}
        <div class="alert alert-danger">
          Erreur, formulaire invalide veuillez réessayer.
        </div>
      {% endif %}
      <div class="row">
        <div class="col-md-8">
          {% if property.filename %}
            <img src="{{ vich_uploader_asset(property, 'imageFile') | imagine_filter('medium') }}" class="card-img-top" style="width:100%; height:auto;">
          {% else %}
            <img src="{{ '/images/properties/default.jpg' | imagine_filter('medium') }}" class="card-img-top" style="width:100%; height:auto;">
          {% endif %}
        </div>
        <div class="col-md-4">
          <h1>{{ property.title }}</h1>
          <h2>{{ property.rooms }} pièces - {{ property.surface }} m²</h2>
          <div class="text-primary" style="font-size:3rem"><strong>{{ property.formattedPrice }} €</strong></div>
          <a href="#" class="btn btn-primary" id="contactButton"{% if form.vars.submitted %} style="display:none;"{% endif %}>Contacter l'agence</a>
          <div id="contactForm" class="mt-4"{% if not form.vars.submitted %}style="display: none;" {% endif %}>
            {{ form_start(form) }}
            <div class="row">
              <div class="col">{{ form_row(form.firstname) }}</div>
              <div class="col">{{ form_row(form.lastname) }}</div>
            </div>
            <div class="row">
              <div class="col">{{ form_row(form.phone) }}</div>
              <div class="col">{{ form_row(form.email) }}</div>
            </div>
            {{ form_rest(form) }}
            <div class="form-group">
              <button class="btn btn-primary">Envoyer</button>
            </div>
            {{ form_end(form) }}
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="container mt-4">
    <p>
      {{ property.description | nl2br }}
    </p>

    <div class="row">
      <div class="col-md-8">
        <h2>Caractéristique</h2>
        <table class="table table-striped">
          <tr>
            <td>Surface habitable</td>
            <td>{{ property.surface }}</td>
          </tr>
          <tr>
            <td>Pièces</td>
            <td>{{ property.rooms }}</td>
          </tr>
          <tr>
            <td>Chambres</td>
            <td>{{ property.bedrooms }}</td>
          </tr>
          <tr>
            <td>Etage</td>
            <td>{{ property.floor }}</td>
          </tr>
          <tr>
            <td>Chauffage</td>
            <td>{{ property.heatType }}</td>
          </tr>
        </table>
      </div>
      <div class="col-md-4">
        <h2>Spécificité</h2>
        <ul class="list-group">
          {% for option in property.options %}
          <li class="list-group-item">{{ option.name }}</li>
          {% endfor %}
        </ul>
      </div>
    </div>
  </div>
{% endblock %}

{% block javascripts %}
  <script>
    let $contactButton = $('#contactButton')
    $contactButton.click(e => {
      e.preventDefault();
      $('#contactForm').slideDown();
      $contactButton.slideUp();
    })
  </script>
{% endblock %}